Loading...
Searching...
No Matches
casacore::Trim Struct Reference

Functor to trim a std::string. More...

`#include <Functors.h>`

## Public Member Functions

String | operator() (const std::string &value) const

## Detailed Description

Functor to trim a std::string.

The result is a casacore::String. Leading and trailing whitespace is removed.

Definition at line 665 of file Functors.h.

## Member Function Documentation

## operator()()

String casacore::Trim::operator() | ( | const std::string & | value | ) | const

inline

Definition at line 667 of file Functors.h.

References casacore::NewDelAllocator< T >::value, and casacore::trim().

The documentation for this struct was generated from the following file:

- casa/BasicMath/Functors.h